<#ibiztemplate>
FILENAME=persistence-${sysrun.getPSSystemDBConfig().name?lower_case}.properties
PUBOBJ=SpringPersistence
MODELS=PSSYSTEM
</#ibiztemplate>
<#if (sysrun.getPSSystemDBConfig().name=='MYSQL5')>
# jdbc.X
jdbc.driverClassName=com.mysql.jdbc.Driver
jdbc.url=${sysrun.getPSDBDevInst().getConnUrl()}
jdbc.user=${sysrun.getPSDBDevInst().getUserName()}
jdbc.pass=${sysrun.getPSDBDevInst().getPassword()}

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=org.gjt.mm.mysql.Driver
hibernate.connection.url=${sysrun.getPSDBDevInst().getConnUrl()}
hibernate.dialect=org.hibernate.dialect.MySQL5Dialect
hibernate.connection.username=${sysrun.getPSDBDevInst().getUserName()}
hibernate.connection.password=${sysrun.getPSDBDevInst().getPassword()}

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>
<#if (sysrun.getPSSystemDBConfig().name=='ORACLE')>
# jdbc.X
jdbc.driverClassName=oracle.jdbc.driver.OracleDriver
jdbc.url=${sysrun.getPSDBDevInst().getConnUrl()}
jdbc.user=${sysrun.getPSDBDevInst().getUserName()}
jdbc.pass=${sysrun.getPSDBDevInst().getPassword()}

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=org.gjt.mm.oracle.Driver
hibernate.connection.url=${sysrun.getPSDBDevInst().getConnUrl()}
hibernate.dialect=org.hibernate.dialect.OracleDialect
hibernate.connection.username=${sysrun.getPSDBDevInst().getUserName()}
hibernate.connection.password=${sysrun.getPSDBDevInst().getPassword()}

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>
<#if (sysrun.getPSSystemDBConfig().name=='SQLSERVER')>
# jdbc.X
jdbc.driverClassName=com.microsoft.sqlserver.jdbc.SQLServerDriver
jdbc.url=${sysrun.getPSDBDevInst().getConnUrl()}
jdbc.user=${sysrun.getPSDBDevInst().getUserName()}
jdbc.pass=${sysrun.getPSDBDevInst().getPassword()}

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=com.microsoft.sqlserver.jdbc.SQLServerDriver
hibernate.connection.url=${sysrun.getPSDBDevInst().getConnUrl()}
hibernate.dialect=org.hibernate.dialect.SQLServer2008Dialect
hibernate.connection.username=${sysrun.getPSDBDevInst().getUserName()}
hibernate.connection.password=${sysrun.getPSDBDevInst().getPassword()}

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>
<#if (sysrun.getPSSystemDBConfig().name=='POSTGRESQL')>
# jdbc.X
jdbc.driverClassName=org.postgresql.Driver
jdbc.url=${sysrun.getPSDBDevInst().getConnUrl()}
jdbc.user=${sysrun.getPSDBDevInst().getUserName()}
jdbc.pass=${sysrun.getPSDBDevInst().getPassword()}

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=org.postgresql.Driver
hibernate.connection.url=${sysrun.getPSDBDevInst().getConnUrl()}
hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
hibernate.connection.username=${sysrun.getPSDBDevInst().getUserName()}
hibernate.connection.password=${sysrun.getPSDBDevInst().getPassword()}

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>
<#if (sysrun.getPSSystemDBConfig().name=='PPAS')>
# jdbc.X
jdbc.driverClassName=com.edb.Driver
jdbc.url=${sysrun.getPSDBDevInst().getConnUrl()}
jdbc.user=${sysrun.getPSDBDevInst().getUserName()}
jdbc.pass=${sysrun.getPSDBDevInst().getPassword()}

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=com.edb.Driver
hibernate.connection.url=${sysrun.getPSDBDevInst().getConnUrl()}
hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
hibernate.connection.username=${sysrun.getPSDBDevInst().getUserName()}
hibernate.connection.password=${sysrun.getPSDBDevInst().getPassword()}

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>
<#if (sysrun.getPSSystemDBConfig().name=='HANA')>
# jdbc.X
jdbc.driverClassName=com.sap.db.jdbc.Driver
jdbc.url=

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=com.sap.db.jdbc.Driver
hibernate.connection.url=
hibernate.dialect=org.hibernate.dialect.SAPDBDialect

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>
<#if (sysrun.getPSSystemDBConfig().name=='DB2')>
# jdbc.X
jdbc.driverClassName=com.ibm.db2.jcc.DB2Driver
jdbc.url=${sysrun.getPSDBDevInst().getConnUrl()}
jdbc.user=${sysrun.getPSDBDevInst().getUserName()}
jdbc.pass=${sysrun.getPSDBDevInst().getPassword()}

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=com.ibm.db2.jcc.DB2Driver
hibernate.connection.url=${sysrun.getPSDBDevInst().getConnUrl()}
hibernate.dialect=org.hibernate.dialect.DB2Dialect
hibernate.connection.username=${sysrun.getPSDBDevInst().getUserName()}
hibernate.connection.password=${sysrun.getPSDBDevInst().getPassword()}

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>
<#if (sysrun.getPSSystemDBConfig().name=='DM')>
# jdbc.X
jdbc.driverClassName=dm.jdbc.driver.DmDriver
jdbc.url=
jdbc.user=
jdbc.pass=

jdbc.initialPoolSize=20
jdbc.maxPoolSize=100
jdbc.minPoolSize=10
jdbc.maxIdleTime=600
jdbc.acquireIncrement=5
jdbc.maxStatements=5
jdbc.idleConnectionTestPeriod=60

# hibernate.X
hibernate.connection.driverClass=dm.jdbc.driver.DmDriver
hibernate.connection.url=
hibernate.dialect=
hibernate.connection.username=
hibernate.connection.password=

hibernate.show_sql=true
hibernate.hbm2ddl.auto=create-drop
</#if>